org.apache.ignite.internal.visor.node

## Class VisorIgfsConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.node.VisorIgfsConfiguration

All Implemented Interfaces:
  Serializable

    public class VisorIgfsConfiguration
    extends Object
    implements Serializable

Data transfer object for IGFS configuration properties.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorIgfsConfiguration()`

### Method Summary

Methods
`int` `blockSize()`
`String` `dataCacheName()`
`IgfsMode` `defaultMode()`
`long` `dualModeMaxPendingPutsSize()`
`String` `dualModePutExecutorService()`
`boolean` `dualModePutExecutorServiceShutdown()`
`int` `fragmentizerConcurrentFiles()`
`boolean` `fragmentizerEnabled()`
`float` `fragmentizerLocalWritesRatio()`
`long` `fragmentizerThrottlingBlockLength()`
`long` `fragmentizerThrottlingDelay()`
`static VisorIgfsConfiguration` `from(FileSystemConfiguration igfs)`
`String` `ipcEndpointConfiguration()`
`boolean` `ipcEndpointEnabled()`
`static Iterable<VisorIgfsConfiguration>` `list(FileSystemConfiguration[] igfss)` Construct data transfer object for igfs configurations properties.
`int` `managementPort()`
`long` `maxSpace()`
`long` `maxTaskRangeLength()`
`String` `metaCacheName()`
`String` `name()`
`Map<String,IgfsMode>` `pathModes()`
`int` `perNodeBatchSize()`
`int` `perNodeParallelBatchCount()`
`int` `prefetchBlocks()`
`String` `secondaryHadoopFileSystemConfigPath()`
`String` `secondaryHadoopFileSystemUri()`
`String` `secondaryHadoopFileSystemUserName()`
`int` `sequenceReadsBeforePrefetch()`
`int` `streamBufferSize()`
`String` `toString()`
`long` `trashPurgeTimeout()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorIgfsConfiguration

    public VisorIgfsConfiguration()

### Method Detail

#### from

    public static VisorIgfsConfiguration from(FileSystemConfiguration igfs)

Parameters:
  `igfs` - IGFS configuration.
Returns:
  Data transfer object for IGFS configuration properties.

#### list

    public static Iterable<VisorIgfsConfiguration> list(FileSystemConfiguration[] igfss)

Construct data transfer object for igfs configurations properties.

Parameters:
  `igfss` - Igfs configurations.
Returns:
  igfs configurations properties.

#### name

    @Nullable
    public String name()

Returns:
  IGFS instance name.

#### metaCacheName

    @Nullable
    public String metaCacheName()

Returns:
  Cache name to store IGFS meta information.

#### dataCacheName

    @Nullable
    public String dataCacheName()

Returns:
  Cache name to store IGFS data.

#### blockSize

    public int blockSize()

Returns:
  File's data block size.

#### prefetchBlocks

    public int prefetchBlocks()

Returns:
  Number of pre-fetched blocks if specific file's chunk is requested.

#### streamBufferSize

    public int streamBufferSize()

Returns:
  Read/write buffer size for IGFS stream operations in bytes.

#### perNodeBatchSize

    public int perNodeBatchSize()

Returns:
  Number of file blocks buffered on local node before sending batch to remote node.

#### perNodeParallelBatchCount

    public int perNodeParallelBatchCount()

Returns:
  Number of batches that can be concurrently sent to remote node.

#### secondaryHadoopFileSystemUri

    @Nullable
    public String secondaryHadoopFileSystemUri()

Returns:
  URI of the secondary Hadoop file system.

#### secondaryHadoopFileSystemUserName

    @Nullable
    public String secondaryHadoopFileSystemUserName()

Returns:
  User name of the secondary Hadoop file system.

#### secondaryHadoopFileSystemConfigPath

    @Nullable
    public String secondaryHadoopFileSystemConfigPath()

Returns:
  Path for the secondary hadoop file system config.

#### defaultMode

    public IgfsMode defaultMode()

Returns:
  IGFS instance mode.

#### pathModes

    @Nullable
    public Map<String,IgfsMode> pathModes()

Returns:
  Map of paths to IGFS modes.

#### dualModePutExecutorService

    public String dualModePutExecutorService()

Returns:
  Dual mode PUT operations executor service.

#### dualModePutExecutorServiceShutdown

    public boolean dualModePutExecutorServiceShutdown()

Returns:
  Dual mode PUT operations executor service shutdown flag.

#### dualModeMaxPendingPutsSize

    public long dualModeMaxPendingPutsSize()

Returns:
  Maximum amount of data in pending puts.

#### maxTaskRangeLength

    public long maxTaskRangeLength()

Returns:
  Maximum range length.

#### fragmentizerConcurrentFiles

    public int fragmentizerConcurrentFiles()

Returns:
  Fragmentizer concurrent files.

#### fragmentizerLocalWritesRatio

    public float fragmentizerLocalWritesRatio()

Returns:
  Fragmentizer local writes ratio.

#### fragmentizerEnabled

    public boolean fragmentizerEnabled()

Returns:
  Fragmentizer enabled flag.

#### fragmentizerThrottlingBlockLength

    public long fragmentizerThrottlingBlockLength()

Returns:
  Fragmentizer throttling block length.

#### fragmentizerThrottlingDelay

    public long fragmentizerThrottlingDelay()

Returns:
  Fragmentizer throttling delay.

#### ipcEndpointConfiguration

    @Nullable
    public String ipcEndpointConfiguration()

Returns:
  IPC endpoint config to publish IGFS over.

#### ipcEndpointEnabled

    public boolean ipcEndpointEnabled()

Returns:
  IPC endpoint enabled flag.

#### maxSpace

    public long maxSpace()

Returns:
  Maximum space.

#### managementPort

    public int managementPort()

Returns:
  Management port.

#### sequenceReadsBeforePrefetch

    public int sequenceReadsBeforePrefetch()

Returns:
  Amount of sequential block reads before prefetch is triggered.

#### trashPurgeTimeout

    public long trashPurgeTimeout()

Returns:
  Trash purge await timeout.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.2.0-incubating
Release Date | : June 16 2015